
Component({
  data: {
    onRenderChart: () => {}
  },
  methods: {
    render(data) {
      this.setData({
        onRenderChart: () => {
          return this.renderChart(data);
        }
      });
    },
    renderChart(data) {
      return createElement(Chart, {
        data
      });
    }
  }
})